POST api/sticker/duplicate
Request Information
URI Parameters
None.
Body Parameters
StickerViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
None. |
|
| type | StickerTypeViewModel |
None. |
|
| relations | Collection of StickerRelationViewModel |
None. |
|
| details | Collection of StickerDetailViewModel |
None. |
|
| active | boolean |
Required |
|
| code | string |
Required Max length: 50 |
|
| id | globally unique identifier |
None. |
|
| stickerType_ID | globally unique identifier |
Required |
|
| stickerRelation_IDs | Collection of globally unique identifier |
None. |
|
| site_ID | globally unique identifier |
Required |
Request Formats
application/json, text/json
Sample:
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"type": {
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"code": "sample string 1",
"id": "e9c312b5-0f61-4f71-8cce-e3322c21b968",
"technicalDescription": "sample string 3",
"active": true
},
"relations": [
{
"active": true,
"contract_ID": "06fccccd-36da-4bc8-9d09-a605829e0404",
"contractItem_ID": "3161e240-6173-4445-af01-4396f958f2e1",
"departement_ID": "e9145e58-4557-4594-9625-353b7f7db5d7",
"departmentItem_ID": "bca074be-5144-498d-9f41-84f67b1621b4",
"iD": "c63ceefd-7fd9-419b-bcf5-5dad9e4b9182",
"site_ID": "47671eaa-2bad-401a-a68e-2922112f94c9",
"siteCustomer_ID": "aa291366-311c-46b3-a361-f75bd65b6ff6",
"sticker_ID": "3514c5f0-e7af-46f2-bb64-52642f72c145",
"garment_ID": "40d6da56-b51b-479e-8939-c224ba567f82"
},
{
"active": true,
"contract_ID": "06fccccd-36da-4bc8-9d09-a605829e0404",
"contractItem_ID": "3161e240-6173-4445-af01-4396f958f2e1",
"departement_ID": "e9145e58-4557-4594-9625-353b7f7db5d7",
"departmentItem_ID": "bca074be-5144-498d-9f41-84f67b1621b4",
"iD": "c63ceefd-7fd9-419b-bcf5-5dad9e4b9182",
"site_ID": "47671eaa-2bad-401a-a68e-2922112f94c9",
"siteCustomer_ID": "aa291366-311c-46b3-a361-f75bd65b6ff6",
"sticker_ID": "3514c5f0-e7af-46f2-bb64-52642f72c145",
"garment_ID": "40d6da56-b51b-479e-8939-c224ba567f82"
}
],
"details": [
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "b383409b-4f53-4df0-bc2a-f4c9c8baab9f",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "7cc22c54-ba3a-4591-a273-c440793a3a6b",
"technicalDescription": "sample string 8"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "34d6b41a-b60e-4ee5-b1f9-031edfb01de6",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "929b1564-a930-4c57-bf1b-ab735cefd44a",
"stickerField_ID": "eddb2b56-4f94-43fc-b176-07bda54296d3",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
},
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "b383409b-4f53-4df0-bc2a-f4c9c8baab9f",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "7cc22c54-ba3a-4591-a273-c440793a3a6b",
"technicalDescription": "sample string 8"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "34d6b41a-b60e-4ee5-b1f9-031edfb01de6",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "929b1564-a930-4c57-bf1b-ab735cefd44a",
"stickerField_ID": "eddb2b56-4f94-43fc-b176-07bda54296d3",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
}
],
"active": true,
"code": "sample string 2",
"id": "9b40200d-1983-4611-b8ba-67394fb27805",
"stickerType_ID": "7cb1b2ab-dce4-4752-9789-5ffddd9f5167",
"stickerRelation_IDs": [
"a7e425cf-a59e-4838-8326-835b0ef76b6d",
"77fd0cd5-32fa-45ea-8fdc-89752a203c23"
],
"site_ID": "07868239-8971-47b2-91da-fe68a1d97621"
}
application/xml
Sample:
Sample not available.
text/xml
Sample:
Sample not available.
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"9a5ef051-1acd-4e35-bf05-27f75e491171"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">9a5ef051-1acd-4e35-bf05-27f75e491171</guid>